<?php
namespace SIU\SQ\Lib\daos;

class catalogo extends \SIU\SQ\Lib\entorno\catalogo
{ 
	/**
	 * @return dao_notificaciones
	 */
	function notificaciones()
	{
		return new dao_notificaciones($this->entorno);
	}
	
	/**
	 * @return dao_parametros_sistema
	 */
	function parametros_sistema()
	{
		return new dao_parametros_sistema($this->entorno);
	}
	
	/**
	 * @return dao_comprobantes
	 */
	function comprobantes()
	{
		return new dao_comprobantes($this->entorno);
	}
	
	/**
	 * @return dao_alarmas
	 */
	function alarmas()
	{
		return new dao_alarmas($this->entorno);
	}
	
	/**
	 * @return dao_reloj_facturador
	 */
	function reloj_faturador()
	{
		return new dao_reloj_facturador($this->entorno);
	}
	
	/**
	 * @return dao_procesos
	 */
	function procesos()
	{
		return new dao_procesos($this->entorno);
	}

    /**
     * @return dao_interoperabilidad
     */
    public function interoperabilidad()
    {
        return new dao_interoperabilidad($this->entorno);
    }

    /**
     * @return dao_facturador
     */
    public function facturador()
    {
        return new dao_facturador($this->entorno);
    }

    /**
     * @return dao_ventas
     */
    function ventas()
    {
        return new dao_ventas($this->entorno);
    }
}
