<?php

namespace SIU\SQ\Lib\daos;

use SIU\SQ\Lib\errores\error_negocio;

class dao_parametros_sistema extends dao
{	
	function get($id)
	{
		$filtro['id'] = $id;		
		$rs = $this->get_lista($filtro);
		if(count($rs) > 1){
			throw new error_negocio("dao_parametros_sistema: "
					. "La consulta devolvio mas de un registro.");
		}else{
			return (isset($rs[0])) ? $rs[0] : NULL;
		}
	}

	function get_lista($filtro = array(), $order_by = "", $limit = "")
	{
		$where = "";
		if(isset($filtro['id'])){
			$where .= " AND id = " . $this->quote($filtro['id']);			
		}
		if(isset($filtro['codigo'])){
			$where .= " AND codigo = " . $this->quote($filtro['codigo']);
		}
		if(isset($filtro['descripcion'])){
			$where .= " AND descripcion = " . $this->quote($filtro['descripcion']);			
		}
		if(isset($filtro['categoria'])){
			$where .= " AND categoria = " . $this->quote($filtro['categoria']);
		}
		$sql = "SELECT
					id,
					codigo,
					descripcion,
					categoria,
					valor,
					valor_default
				FROM
					parametros_sistema
				WHERE 1=1
					$where $order_by $limit;";
		return $this->entorno()->db()->consultar($sql);
	}
}
