<?php

namespace SIU\SQ\Lib\modelo;

class catalogo extends \SIU\SQ\Lib\entorno\catalogo
{
	function version()
	{
		return new version($this->entorno);
	}

	function notificacion($id = null, $dao_notificaciones = null)
	{
		return new notificacion($this->entorno, $id, $dao_notificaciones);
	}

	function parametro_sistema($id = null)
	{
		return new parametro_sistema($this->entorno, $id);
	}
	
	function facturador()
	{
		return new facturador($this->entorno);
	}
	
	function facturador_alarma($id = null)
	{
		return new facturador_alarma($this->entorno, $id);
	}
	
	function reloj($id_reloj = null, $id_periodo_fact_excepciones = null)
	{
		return new reloj($this->entorno, $id_reloj, $id_periodo_fact_excepciones);
	}
	
	function reloj_instancia($id_servicio_instancia)
	{
		return new reloj_instancia($this->entorno, $id_servicio_instancia);
	}
	
	function comprobante($id = null)
	{
		return new comprobante($this->entorno, $id);
	}

	function comprobante_template($id = null)
	{
		return new comprobante_template($this->entorno, $id);
	}

    public function venta_info_personalizada($id_venta = null)
    {
        return new venta_info_personalizada($this->entorno, $id_venta);
    }
}
