<?php
namespace  SIU\SQ\Lib\modelo;

use SIU\SQ\Lib\lib;


class reloj_instancia
{
	protected $entorno;
	protected $id_servicio_instancia;
	protected $reloj;
	
	private function entorno()
	{
		return $this->entorno;
	}
	
	function __construct($entorno, $id_servicio_instancia)
	{
		$this->entorno = $entorno;
		$this->id_servicio_instancia = $id_servicio_instancia;
		$this->cargar_reloj();
	}
	
	private function cargar_reloj()
	{
		$sql = "SELECT id_reloj_facturador, id_periodo_facturacion_excepcion
				FROM servicios_instancias
				WHERE id = " . $this->entorno()->db()->quote($this->id_servicio_instancia)
				. ";";
		$datos = $this->entorno()->db()->consultar_fila($sql);
		$this->reloj = lib::catalogo_modelo()->reloj( $datos['id_reloj_facturador'], $datos['id_periodo_facturacion_excepcion']);
	}
	
	public function get_reloj( $posicion = 0, $id_frecuencia = null )
	{
		return $this->reloj->get_reloj( $posicion, $id_frecuencia );
	}

	public function crear_reloj($anio, $mes)
    {
        return $this->reloj->crear_reloj($anio, $mes);
    }
	
	function get_descripcion_anio()
	{
		return $this->reloj->get_descripcion_anio();
	}
	
	function get_descripcion_mes()
	{
		return $this->reloj->get_descripcion_mes();
	}
}
