<?php

namespace SIU\SQ\Lib\rest;

use SIUToba\rest\http\request;
use SIUToba\rest\http\respuesta_rest;
use SIUToba\rest\seguridad\autenticacion\autenticacion_basic_http;
use SIUToba\rest\seguridad\rest_usuario;

class sq_autenticacion extends autenticacion_basic_http
{
	protected $usuario_toba = null;
	
	public function set_usuario_toba($usuario)
	{
		$this->usuario_toba = $usuario;
	}
	
    public function get_usuario(request $request = null)
    {
		$usuario = parent::get_usuario();
        if(isset($usuario)) {
			return $usuario;
		}else{
			return $this->usuario_toba;
		}
    }
}
