<?php

namespace SIU\SQ\Lib\daos;

use SIU\SQ\Lib\errores\error_negocio;
use SIU\SQ\Lib\constantes;

class dao_facturador extends dao
{
	public function get_lista($filtro = [], $order_by = "ORDER BY id", $limit = "")
	{
		$where = "";
		if(isset($filtro['id'])){
			$where .= " AND rf.id = " . $this->quote($filtro['id']);
		}
		$sql = "SELECT
					f.id,
					f.id_ejecucion_proceso,
					f.id_reloj_facturador,
					f.dia_1er_vencimiento,
					f.dia_2do_vencimiento,
					f.id_reloj_facturador_1er_venc,
					f.id_reloj_facturador_2do_venc
				FROM
					facturaciones f
				WHERE 1=1
					$where $order_by $limit;";
		return $this->entorno()->db()->consultar($sql);
	}

    public function get_facturaciones_servicios_instancias($filtro, $order_by = "ORDER BY id", $limit = "")
    {
        $where = "";
        if(isset($filtro['id'])){
            $where .= " AND fsi.id = " . $this->quote($filtro['id']);
        }
        if(isset($filtro['id_servicio_instancia'])){
            $where .= " AND fsi.id_servicio_instancia = " . $this->quote($filtro['id_servicio_instancia']);
        }
        if(isset($filtro['id_facturacion'])){
            $where .= " AND fsi.id_facturacion = " . $this->quote($filtro['id_facturacion']);
        }
        if(isset($filtro['estado'])){
            $where .= " AND fsi.estado = " . $this->quote($filtro['estado']);
        }
        $sql = "SELECT
					fsi.id,
					fsi.id_servicio_instancia,
					fsi.id_facturacion,
					fsi.estado
				FROM
					facturaciones_servicios_instancias fsi
				WHERE 1=1
					$where $order_by $limit;";
        return $this->entorno()->db()->consultar($sql);
    }
}
