<?php
namespace SIU\SQ\Lib\daos;

use SIU\SQ\Lib\errores\error_negocio;
use SIU\SQ\Lib\lib;

class dao_ventas extends dao
{
    public function get_info_personalizada($id_venta)
    {
        $sql = "SELECT 
                    id,
                    id_venta,
                    datos
                FROM 
                    ventas_info_personalizada 
                WHERE 
                    id_venta = ". $id_venta . ";";
        $rs = $this->entorno()->db()->consultar($sql);
        if (count($rs) == 1) {
            return $rs;
        }
    }

    public function get_info_personalizada_por_entidad($id_venta, $entidad)
    {
        $datos = null;
        $info_personalizada = $this->get_info_personalizada($id_venta);
        if (!empty($info_personalizada)) {
            if (count($info_personalizada) == 1) {
                foreach (json_decode($info_personalizada[0]['datos']) as $info) {
                    if ($entidad == $info->entidad) {
                        $datos = $info->datos;
                    }
                }
            } else {
                $msg = "Se encontraron '" . count($info_personalizada) . "' registros de info_personalizada asociados a la venta ID: '" . $this->id_venta . "' cuando solo se permite 1.";
                lib::entorno()->log()->error(__METHOD__ . ": " . $msg);
                throw new error_negocio($msg);
            }
        }
        if ($datos) {
            return $datos;
        } else {
            $msg = "";
            lib::entorno()->log()->notice($msg);
            return;
        }
    }
}
