<?php
namespace SIU\SQ\Lib\modelo;

use SIU\SQ\Lib\db\sql;
use SIU\SQ\Lib\errores\error_not_found;

class version extends modelo
{
	protected function inicializar()
	{
		$this->datos['version'] 			= null;
		$this->datos['version_a_migrar'] 	= null;
	}
	
	protected function cargar($id)
	{
		// Cargar datos de la version actual
		$proyecto_ini = parse_ini_file(sq_uv::get_path()."/toba/proyecto.ini", TRUE);
		$this->datos['version'] = $proyecto_ini['proyecto']['version'];
	}

	function validar()
	{
	}
	
	function validar_migrar()
	{
		// Controlar que esten cargados los datos basicos del sistema externo.
		$campos_obligatorios = array(
			'version', 'version_a_migrar'
		);
		$this->validar_campos_obligatorios($this->datos, $campos_obligatorios, __CLASS__);
		
		// Controlar si existe una version con el nombre pasado
		
		// Controlar que la version sea mayor que la version actual
		
		
	}

	function guardar()
	{
		// Invocar metodo migrar!
	}
	
	public function migrar($version_a_migrar)
	{
		$this->datos['version_a_migrar'] = $version_a_migrar;
		
		$this->validar_migrar();
		
		$this->activar_modo_mantenimiento();

		// Exportar permisos de toba
		$this->exportar_metadatos_toba();
		
		// Actualizar los fuentes
		//git pull
		
		// Actualizar dependencias
		//composer install
		
		//Toba
		$this->regenerar_toba(); //toba proyecto regenerar -p sq_uv
		
		// Base negocio (toba proyecto ejecutar_cambios -p sq_uv  -v 0.1.1)
		$this->ejecutar_versionador();

		$this->desactivar_modo_mantenimiento();
	}
}
