<?php
namespace SIU\SQ\Lib\util;

use SIU\RestHooks\AuthMethods\Basic;
use SIU\RestHooks\AuthMethods\Digest;


class auth_method_factory
{
    public static function crear_auth($metodo, $user, $pass)
    {
        switch ($metodo) {
            case 'basic' :
                return new Basic($user, $pass);
                break;
            case 'digest' :
                return new Digest($user, $pass);
                break;
        }
    }
}