<?php
namespace SIU\SQ\Lib\util;

use errores\error;

/**
 * Clase con calculadoras varias
 * @package Varios
 */
class calculador
{
    public static function digito_verificador_cae($cuit, $tipo_comprobante, $punto_venta, $cae, $vto_cae) {
        $string39 = $cuit . $tipo_comprobante . $punto_venta . $cae . $vto_cae ;
        $impares = $pares = $sum = $x = 0;

        if (strlen($string39) != 39 ) return 0;

        for ($i=0; $i<strlen($string39); $i++) {
            if ($i%2 == 0) {
                $impares+=$string39[$i];
            } else {
                $pares+=$string39[$i];
            }
        }

        $sum = ($impares * 3) + $pares;

        while (($sum+$x)%10 != 0 ) $x++;

        // devuelvo el string de 39 digitos más el último verificador
        return $string39 . $x ;
    }
}