<?php
namespace SIU\SQ\Lib\util;

class rest 
{
	/** Transforma un json o arreglo en utf8 a un arreglo en latin1 */
	function decode($datos)
	{
		if(is_string($datos) ){
			$datos = json_decode($datos);
		} //es un json ya decodificada guzzle->response->json
		return self::array_a_latin1($datos);
	}

	/** Transforma un arreglo en latin1 a un json en utf8 */
	function encode($datos)
	{
		$array = self::array_a_utf8($datos);
		return json_encode($array);
	}	
	
	function array_a_latin1($arreglo)
	{
		$salida = array();
		foreach ($arreglo as $clave => $valor) {
			if (is_array($valor)) {
				$salida[$clave] = self::array_a_latin1($valor);
			} elseif (is_string($valor)) {
				$salida[$clave] = utf8_decode($valor);
			} else {
				$salida[$clave] = $valor;
			}
		}		
		return $salida;
	}
	
	function array_a_utf8($datos){
		if (is_string($datos)) {
			return utf8_encode($datos);
		}
		if (!is_array($datos)) {
			return $datos;
		}
		$ret = array();
		foreach ($datos as $i => $d) {
			$ret[$i] = self::array_a_utf8($d);
		}
		return $ret;
	}
	
}
